import { h } from "preact";
export default function List({ clickable, divider, className, children, ...props }) {
    let cl = "ht-list ";
    if (clickable)
        cl += "ht-list-clickable ";
    if (divider)
        cl += "ht-list-divider ";
    cl += className;
    return (h("ul", Object.assign({ className: className }, props), children));
}
//# sourceMappingURL=List.js.map